org.jfree.report.modules.factories.data.base

## Interface DataFactoryReadHandler

- All Superinterfaces:
    org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler
  All Known Implementing Classes:
    DatasourceFactoryReadHandler, SQLDataFactoryReadHandler, StaticDataSourceReadHandler

      public interface DataFactoryReadHandler
      extends org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

  Creation-Date: Jan 15, 2007, 6:53:20 PM
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReportDataFactory` | `getDataFactory()`

    - ### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

      `characters, endElement, getObject, init, startElement`

- - ### Method Detail

    - #### getDataFactory

          ReportDataFactory getDataFactory()